%define alt_name	XaoS

Summary:	A real-time fractal zoomer
Name:		xaos
Epoch:		1
Version:	4.3.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Sciences/Mathematics
URL:		https://xaos-project.github.io
Source0:	https://github.com/xaos-project/XaoS/archive/release-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Widgets)

Obsoletes:	xaos-aalib < 1:3.6-19

%description
XaoS is a fast portable real-time interactive fractal zoomer. It
displays the Mandelbrot set (among other escape time fractals) and
allows you to zoom smoothly into the fractal.  Various coloring modes
are provided for both the points inside and outside the selected set.
In addition, switching between Julia and Mandelbrot fractal types and
displaying planes is provided.

%prep
%autosetup -p1 -n XaoS-release-%{version}

%build
%qmake_qt6 PREFIX=%{_prefix}
%make_build STRIP=:

%install
# Binary
%make_install INSTALL_ROOT=%{buildroot}

#
# Stolen from https://build.opensuse.org/package/view_file/openSUSE:Factory/xaos/xaos.spec?expand=1
#
# Data; Datapath forced to %%{alt_name} (not configurable)
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/%{alt_name}/catalogs catalogs/*.cat
cp --archive examples tutorial %{buildroot}%{_datadir}/%{alt_name}

# Icon, .desktop, AppData
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/metainfo xdg/%{name}.appdata.xml
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/applications xdg/io.github.xaos_project.XaoS.desktop
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/pixmaps xdg/%{name}.png

# Man
install -D --mode 0644 --target-directory %{buildroot}%{_mandir}/man6 doc/%{name}.6

%files
%doc CREDITS.md NEWS doc/README
%license COPYING
%{_bindir}/xaos
%{_datadir}/%{alt_name}/
%{_datadir}/applications/io.github.xaos_project.XaoS.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/*


%changelog
* Fri Nov 29 2024 daviddavid <daviddavid> 1:4.3.3-1.mga10
+ Revision: 2119825
- new version: 4.3.3

* Tue Oct 24 2023 daviddavid <daviddavid> 1:4.3.1-1.mga10
+ Revision: 2000698
- new version: 4.3.1 (UI is now based on Qt)
- build with Qt6

* Thu Dec 29 2022 daviddavid <daviddavid> 1:3.6-18.mga9
+ Revision: 1927527
- rebuild for new gsl 2.7.1

* Sat Mar 19 2022 umeabot <umeabot> 1:3.6-17.mga9
+ Revision: 1800600
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 ovitters <ovitters> 1:3.6-16.mga8
+ Revision: 1616881
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Wed Jun 10 2020 daviddavid <daviddavid> 1:3.6-15.mga8
+ Revision: 1592018
- rebuild with new rpm-mageia-setup handling config.{guess,sub} update

* Sun Feb 16 2020 umeabot <umeabot> 1:3.6-14.mga8
+ Revision: 1529695
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 27 2019 daviddavid <daviddavid> 1:3.6-13.mga8
+ Revision: 1433793
- rebuild for new gsl 2.6

* Sun Sep 23 2018 umeabot <umeabot> 1:3.6-12.mga7
+ Revision: 1301795
- Mageia 7 Mass Rebuild

* Wed Jul 11 2018 wally <wally> 1:3.6-11.mga7
+ Revision: 1243062
- fix build on aarch64

* Wed Dec 27 2017 wally <wally> 1:3.6-10.mga7
+ Revision: 1185655
- rebuild for new gsl

* Sat Jul 16 2016 pterjan <pterjan> 1:3.6-9.mga6
+ Revision: 1042247
- Set -malign-double only in x86

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1:3.6-8.mga6
+ Revision: 919017
- rebuild for gsl
+ shlomif <shlomif>
- Correct the grammar in the %%description-s.

* Sat Oct 17 2015 wally <wally> 1:3.6-7.mga6
+ Revision: 892379
- move Epoch below the point it's used in .spec (mga#16972)

* Wed Jan 07 2015 alexl <alexl> 1:3.6-6.mga5
+ Revision: 809225
- added GenericName with translations
- moved dektop file from spec into sources

* Sat Oct 25 2014 danf <danf> 1:3.6-5.mga5
+ Revision: 793344
- Fixed previously ineffective parallel-build.patch

* Sat Oct 25 2014 danf <danf> 1:3.6-4.mga5
+ Revision: 793325
- Added parallel-build.patch to fix reliability of parallel build

* Wed Oct 15 2014 umeabot <umeabot> 1:3.6-3.mga5
+ Revision: 743688
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.6-2.mga5
+ Revision: 690538
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 alexl <alexl> 1:3.6-1.mga5
+ Revision: 672184
- translated desktop file
- used pkgconfig for buildrequires
- moved unneeded libpng15.patch
- rediff for fix-conflicting-register-types.patch
- updated url in spec
- fixed file-not-utf8
- fixed install info
- version 3.6

* Sat Oct 19 2013 umeabot <umeabot> 1:3.5-10.mga4
+ Revision: 526440
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 1:3.5-9.mga4
+ Revision: 436931
- rebuild for new libpng

* Mon Jan 14 2013 fwang <fwang> 1:3.5-8.mga3
+ Revision: 386723
- add fedora patch to build with latest gcc
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 18 2011 fwang <fwang> 1:3.5-7.mga2
+ Revision: 144849
- fix build with libpng 1.5

* Wed Apr 27 2011 wally <wally> 1:3.5-7.mga1
+ Revision: 92026
- fix desktop file name (mga#954)
- drop buildroot definition

* Tue Feb 01 2011 dmorgan <dmorgan> 1:3.5-6.mga1
+ Revision: 46078
- Remove mdv macros
- fix obsoletes
- imported package xaos


* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 1:3.5-5mdv2011.0
+ Revision: 634858
- simplify BR
- svgalib driver does not exist now

* Tue Jul 21 2009 Frederik Himpe <fhimpe@mandriva.org> 1:3.5-4mdv2010.0
+ Revision: 398412
- Update to new version 3.5
- Remove old patches
- Add patch fixinf string format
- Use %%{buildroot} instead of $RPM_BUILD_ROOT
- Don't run autoconf anymore
- Don't bzip2 sources
- Fix license and %%doc file list
- Fix desktop categories
- Add upstream optimization flags in addition to Mandriva CFLAGS

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1:3.2.3-4mdv2009.0
+ Revision: 242969
- rebuild
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jun 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:3.2.3-2mdv2008.0
+ Revision: 37585
- Rebuild with libslang2.

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 1:3.2.3-1mdv2008.0
+ Revision: 17294
- XDG menu
- enable aalib and svgalib sub-packages for x86_64 as well
- 3.2.3
- remove hardcoded packager tag
- Import xaos



* Fri Apr 25 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-2mdk
- fix buildrequires thx to stefan's robot

* Thu Apr 10 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-1mdk
- new version

* Wed Oct  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1-0.pre5.3mdk
- Really use pre5 version, lenny is weird some times ;-)
- Remove obsolete Patch0
- Update Patch1 with even more includes missed
- Patch4: Fix build and detection of DGA libraries
- Patch5: Partially use "configure" generated macros for prefix et al.

* Wed Oct  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1-0.pre5.2mdk
- Enable build on x86-64
- Patch1: Add missing includes
- Patch2: Some 64-bit fixlets but not really errors
- Patch3: Fix detection of XShm remotely and revert gracefully to non-shm mode

* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.1-0.pre5.1mdk
- 3.1.0pre5
- new url

* Fri Oct 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-0.pre1.1mdk
- rebuild for libpng3
- fix obsolete-not-provided
- fix invalid-version
- fix obsolete-tag Copyright
- fix large-icon-not-in-package

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-17mdk
- rebuild

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-16mdk
- some forgotten `obsoletes' tags

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-15mdk
- change name to xaos (e.g. uppercase names suck)

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-14mdk
- fixed missing install_info

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-13mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.1pre1-12mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-11mdk
- rebuild for buggy %% clean_menus

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-10mdk
- BM
- macros for menu/icons

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-9mdk
- macros

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 3.1pre1-8mdk
- added ppc ExclusiveArch

* Tue May  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-7mdk
- added exclusivearch with the help of S. Van der Eijk

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-6mdk
- added 32x32 icons, fixed hardcoded path in menu entries
- added lacking [ $1 = 0 ] in postun script

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1pre1-5mdk
- Don't own shared directiries
- Use $RPM_OPT_FLAGS, don't build for i686 when I say i586

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1pre1-4mdk
- Fix group

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-3mdk
- added icon

* Mon Mar 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-2mdk
- add menu entry

* Sat Mar 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-1mdk
- 3.1pre1
- holy patch to remove crash when invoking help
